Skip to main content
GET
/
info
curl https://better-dodo-20522-us1-vector.upstash.io/info \
  -H "Authorization: Bearer YOUR_TOKEN"
{
  "result" : {
    "vectorCount" : 7,
    "pendingVectorCount" : 0,
    "indexSize" : 43501,
    "dimension" : 1536,
    "similarityFunction" : "COSINE"
  }
}

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Info will be updated eventually, so it might take some time to see the effect of changes in this endpoint.

Request

This request doesn’t require any additional data.

Response

vectorCount
number
required
The number of vectors in the index, that are ready to use.
pendingVectorCount
number
required
The number of vectors in the index, that are still processing and not ready to use.
indexSize
number
required
The total size of the index, in bytes.
dimension
number
required
Dimension of the vectors.
similarityFunction
string
required
Name of the similarity function used in indexing and queries.
curl https://better-dodo-20522-us1-vector.upstash.io/info \
  -H "Authorization: Bearer YOUR_TOKEN"
{
  "result" : {
    "vectorCount" : 7,
    "pendingVectorCount" : 0,
    "indexSize" : 43501,
    "dimension" : 1536,
    "similarityFunction" : "COSINE"
  }
}